if exist "%~1_patched" del "%~1_patched"
xdelta3 -d -s "%~1" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0].xdelta" "%~1_patched"
if exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 24.iso" del "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 24.iso"
move "%~1_patched" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 24.iso"
set isofullname=%~n1
set isobase=%isofullname:~0,-2%
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 01.wav" copy "%isobase%01.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 01.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 02.wav" copy "%isobase%02.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 02.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 03.wav" copy "%isobase%03.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 03.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 04.wav" copy "%isobase%04.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 04.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 05.wav" copy "%isobase%05.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 05.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 06.wav" copy "%isobase%06.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 06.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 07.wav" copy "%isobase%07.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 07.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 08.wav" copy "%isobase%08.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 08.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 09.wav" copy "%isobase%09.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 09.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 10.wav" copy "%isobase%10.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 10.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 11.wav" copy "%isobase%11.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 11.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 12.wav" copy "%isobase%12.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 12.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 13.wav" copy "%isobase%13.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 13.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 14.wav" copy "%isobase%14.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 14.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 15.wav" copy "%isobase%15.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 15.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 16.wav" copy "%isobase%16.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 16.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 17.wav" copy "%isobase%17.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 17.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 18.wav" copy "%isobase%18.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 18.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 19.wav" copy "%isobase%19.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 19.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 20.wav" copy "%isobase%20.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 20.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 21.wav" copy "%isobase%21.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 21.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 22.wav" copy "%isobase%22.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 22.wav"
if not exist "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 23.wav" copy "%isobase%23.wav" "Bishoujo Senshi Sailor Moon PCECD EN [v1.0] 23.wav"